zenilib: zenilib/jni/external/freetype2/include/freetype/tttables.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Enumerations | Functions
tttables.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`

Go to the source code of this file.

## Classes

struct | TT_Header_
struct | TT_HoriHeader_
struct | TT_MaxProfile_
struct | TT_OS2_
struct | TT_PCLT_
struct | TT_Postscript_
struct | TT_VertHeader_

## Typedefs

typedef enum FT_Sfnt_Tag_ | FT_Sfnt_Tag
typedef FT_BEGIN_HEADER struct TT_Header_ | TT_Header
typedef struct TT_HoriHeader_ | TT_HoriHeader
typedef struct TT_MaxProfile_ | TT_MaxProfile
typedef struct TT_OS2_ | TT_OS2
typedef struct TT_PCLT_ | TT_PCLT
typedef struct TT_Postscript_ | TT_Postscript
typedef struct TT_VertHeader_ | TT_VertHeader

## Enumerations

enum | FT_Sfnt_Tag_ { ft_sfnt_head = 0, ft_sfnt_maxp = 1, ft_sfnt_os2 = 2, ft_sfnt_hhea = 3, ft_sfnt_vhea = 4, ft_sfnt_post = 5, ft_sfnt_pclt = 6, sfnt_max }

## Functions

| FT_Get_CMap_Format (FT_CharMap charmap)
| FT_Get_CMap_Language_ID (FT_CharMap charmap)
| FT_Get_Sfnt_Table (FT_Face face, FT_Sfnt_Tag tag)
| FT_Load_Sfnt_Table (FT_Face face, FT_ULong tag, FT_Long offset, FT_Byte *buffer, FT_ULong *length)
| FT_Sfnt_Table_Info (FT_Face face, FT_UInt table_index, FT_ULong *tag, FT_ULong *length)

## Typedef Documentation

typedef enum FT_Sfnt_Tag_ FT_Sfnt_Tag

typedef FT_BEGIN_HEADER struct TT_Header_ TT_Header

typedef struct TT_HoriHeader_ TT_HoriHeader

typedef struct TT_MaxProfile_ TT_MaxProfile

typedef struct TT_OS2_ TT_OS2

typedef struct TT_PCLT_ TT_PCLT

typedef struct TT_Postscript_ TT_Postscript

typedef struct TT_VertHeader_ TT_VertHeader

## Enumeration Type Documentation

enum FT_Sfnt_Tag_

Enumerator
ft_sfnt_head |
ft_sfnt_maxp |
ft_sfnt_os2 |
ft_sfnt_hhea |
ft_sfnt_vhea |
ft_sfnt_post |
ft_sfnt_pclt |
sfnt_max |

Definition at line 558 of file tttables.h.

## Function Documentation

FT_Get_CMap_Format | ( | FT_CharMap | charmap | ) |

Definition at line 3730 of file ftobjs.c.

References cmap_info, TT_CMapInfo_::format, FT_FACE_FIND_SERVICE, and NULL.

Referenced by find_variant_selector_charmap(), and FT_Set_Charmap().

FT_Get_CMap_Language_ID | ( | FT_CharMap | charmap | ) |

Definition at line 3706 of file ftobjs.c.

References cmap_info, FT_FACE_FIND_SERVICE, TT_CMapInfo_::language, and NULL.

FT_Get_Sfnt_Table | ( | FT_Face | face,
|  | FT_Sfnt_Tag | tag
| ) |  |

Definition at line 3639 of file ftobjs.c.

References FT_FACE_FIND_SERVICE, FT_IS_SFNT, and NULL.

Referenced by FT_Get_FSType_Flags().

FT_Load_Sfnt_Table | ( | FT_Face | face,
|  | FT_ULong | tag,
|  | FT_Long | offset,
|  | FT_Byte * | buffer,
|  | FT_ULong * | length
| ) |  |

Definition at line 3660 of file ftobjs.c.

References FT_FACE_FIND_SERVICE, FT_IS_SFNT, and NULL.

Referenced by gxv_load_table(), and otv_load_table().

FT_Sfnt_Table_Info | ( | FT_Face | face,
|  | FT_UInt | table_index,
|  | FT_ULong * | tag,
|  | FT_ULong * | length
| ) |  |

Definition at line 3683 of file ftobjs.c.

References FT_FACE_FIND_SERVICE, FT_IS_SFNT, and NULL.